// XWindows.h
// Neuron Computing Inc.
#ifndef __XWindows_h__
#define __XWindows_h__

// X Windows include files
#include <X11/Xlib.h>
#include <X11/StringDefs.h>
#include <X11/Intrinsic.h> 
#include <X11/cursorfont.h>
#include <X11/X.h>

#ifndef MOTIF
	#include <X11/Form.h>
	#include <X11/Dialog.h>
	#include <X11/Shell.h>
	#include <X11/Box.h>
	#include <X11/Text.h>
	#include <X11/Label.h>
	#include <X11/Command.h>
	#include <X11/List.h>
#else
	#include <Xm/Xm.h>
	#include <Xm/DrawingA.h>
	#include <Xm/Form.h>
	#include <Xm/Label.h>
	#include <Xm/PushB.h>
	#include <Xm/RowColumn.h>
	#include <Xm/BulletinB.h>
	#include <Xm/Text.h>
	#include <Xm/List.h>
#endif

#ifndef MOTIF
	#define APP_SHELL sessionShellWidgetClass
	#define POPUP_SHELL shellWidgetClass
	#define FORM formWidgetClass
	#define DIALOG shellWidgetClass
	#define LABEL labelWidgetClass
	#define COMMAND commandWidgetClass
	#define TEXT_FIELD dialogWidgetClass
	#define LIST listWidgetClass
#else
	#define APP_SHELL sessionShellWidgetClass
	#define POPUP_SHELL shellWidgetClass
	#define FORM xmFormWidgetClass
	#define DIALOG xmFormWidgetClass
	#define LABEL xmLabelWidgetClass
	#define COMMAND xmPushButtonWidgetClass
	#define TEXT_FIELD xmTextWidgetClass
	#define LIST xmListWidgetClass
#endif

#endif
